<?php

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $tienda_id      = $decoded['tienda_id'];
  $datetoday      = date('Y-m-d');

  if( $usr_id ){

    //User
    $Query = "
      SELECT
        usr.id, usr.fk_usuario_tipo
      FROM usuarios_app usr
      WHERE
        usr.Id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
	  $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      $Where = "
        WHERE din.id != '0'
        AND din.fk_usuario_tipo = '$Usr[fk_usuario_tipo]'
        AND din.fechainicio <= '$datetoday' AND din.fechalimite >= '$datetoday'
      ";

      //Validación de Dinamicas
      $Query = "
        SELECT
          din.id,
          din.fk_dinamica_tipo AS id_tipo_dinamica,
          tip.tipo,
          din.nombre, din.descripcion,
          din.fechainicio, din.fechalimite
        FROM dinamicas din
        LEFT JOIN dinamicas_tipos tip ON tip.id = din.fk_dinamica_tipo
        $Where
      ";
      $Dinamicas = $mysqli->query($Query);
      mysqli_data_seek($Dinamicas, 0);
      $Dinamicas->num_rows;
      $CountDin = 0;
      if( $Dinamicas->num_rows >= 1 ){
        while($Din = mysqli_fetch_array($Dinamicas)) {

          //Valida que no se haya realizado la dinámica
          $Query = "
            SELECT
              res.id
            FROM dinamica_respuesta res
            WHERE
              res.fk_usuario = '$usr_id'
              AND res.fk_dinamica = '$Din[id]'
          ";
          $Result = mysqli_query($mysqli, $Query);
      	  $ValDin = mysqli_fetch_assoc($Result);

          if( $ValDin[id] ){

          }else{

            $CountDin = $CountDin + 1;

            $Dins[] = array(
              'dinamica_id'       => $Din[id],
              'id_tipo_dinamica'  => $Din[id_tipo_dinamica],
              'tipo'              => $Din[tipo],
              'nombre'            => $Din[nombre],
              'descripcion'       => $Din[descripcion],
              'fecha_inicio'      => $Din[fechainicio],
              'fecha_final'       => $Din[fechalimite]
            );
          }

        }

        if( $CountDin >= 1 ){

          $Data = array(
            'dinamicas'   => $Dins
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }else{

          //Error
          $Query = "
            SELECT
              err.Id, err.error, err.msn
            FROM api_errores err
            WHERE err.error = 'di-1'
          ";
          $Result = mysqli_query($mysqli, $Query);
          $Error = mysqli_fetch_assoc($Result);

          $Data = array(
            'action'      => 'error',
            'error'       => $Error[error],
            'error_msn'   => $Error[msn]
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }

      }else{

        //Error
        $Query = "
          SELECT
            err.Id, err.error, err.msn
          FROM api_errores err
          WHERE err.error = 'di-1'
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Error = mysqli_fetch_assoc($Result);

        $Data = array(
          'action'      => 'error',
          'error'       => $Error[error],
          'error_msn'   => $Error[msn]
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }

  }

?>
